diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/netanim/model/animation-interface.h ns-3.44/src/netanim/model/animation-interface.h
--- ns-3.43/src/netanim/model/animation-interface.h	2024-10-09 16:41:10.068656400 -0700
+++ ns-3.44/src/netanim/model/animation-interface.h	2025-03-09 16:55:49.671372200 -0700
@@ -887,52 +887,52 @@
     void TrackIpv4RoutePaths();
     /**
      * Get IPv4 routing table function
-     * \param n the node
-     * \returns the IPv4 routing table
+     * @param n the node
+     * @returns the IPv4 routing table
      */
     std::string GetIpv4RoutingTable(Ptr<Node> n);
     /**
      * Recursive IPv4 route path search function
-     * \param from the source node
-     * \param to the destination node
-     * \param rpElements the IPv4 routing path elements
+     * @param from the source node
+     * @param to the destination node
+     * @param rpElements the IPv4 routing path elements
      */
     void RecursiveIpv4RoutePathSearch(std::string from,
                                       std::string to,
                                       Ipv4RoutePathElements& rpElements);
     /**
      * Write route path function
-     * \param nodeId the node ID
-     * \param destination the destination
-     * \param rpElements the IPv4 routing path elements
+     * @param nodeId the node ID
+     * @param destination the destination
+     * @param rpElements the IPv4 routing path elements
      */
     void WriteRoutePath(uint32_t nodeId, std::string destination, Ipv4RoutePathElements rpElements);
 
     // ##### Trace #####
     /**
      * Enqueue trace function
-     * \param context the context
-     * \param p the packet
+     * @param context the context
+     * @param p the packet
      */
     void EnqueueTrace(std::string context, Ptr<const Packet>);
     /**
      * Dequeue trace function
-     * \param context the context
-     * \param p the packet
+     * @param context the context
+     * @param p the packet
      */
     void DequeueTrace(std::string context, Ptr<const Packet>);
     /**
      * Queue trace function
-     * \param context the context
-     * \param p the packet
+     * @param context the context
+     * @param p the packet
      */
     void QueueDropTrace(std::string context, Ptr<const Packet>);
     /**
      * IPv4 transmit trace function
-     * \param context the context
-     * \param p the packet
-     * \param ipv4 the IP
-     * \param interfaceIndex the interface index
+     * @param context the context
+     * @param p the packet
+     * @param ipv4 the IP
+     * @param interfaceIndex the interface index
      */
     void Ipv4TxTrace(std::string context,
                      Ptr<const Packet> p,
@@ -940,10 +940,10 @@
                      uint32_t interfaceIndex);
     /**
      * IPv4 receive trace function
-     * \param context the context
-     * \param p the packet
-     * \param ipv4 the IP
-     * \param interfaceIndex the interface index
+     * @param context the context
+     * @param p the packet
+     * @param ipv4 the IP
+     * @param interfaceIndex the interface index
      */
     void Ipv4RxTrace(std::string context,
                      Ptr<const Packet> p,
@@ -951,12 +951,12 @@
                      uint32_t interfaceIndex);
     /**
      * IPv4 drop trace function
-     * \param context the context
-     * \param ipv4Header the IPv4 header
-     * \param p the packet
-     * \param dropReason the reason for the drop
-     * \param ipv4 the IP
-     * \param interfaceIndex the interface index
+     * @param context the context
+     * @param ipv4Header the IPv4 header
+     * @param p the packet
+     * @param dropReason the reason for the drop
+     * @param ipv4 the IP
+     * @param interfaceIndex the interface index
      */
     void Ipv4DropTrace(std::string context,
                        const Ipv4Header& ipv4Header,
@@ -967,75 +967,75 @@
 
     /**
      * wifi MAC transmit trace function
-     * \param context the context
-     * \param p the packet
+     * @param context the context
+     * @param p the packet
      */
     void WifiMacTxTrace(std::string context, Ptr<const Packet> p);
     /**
      * wifi MAC transmit drop trace function
-     * \param context the context
-     * \param p the packet
+     * @param context the context
+     * @param p the packet
      */
     void WifiMacTxDropTrace(std::string context, Ptr<const Packet> p);
     /**
      * wifi MAC receive trace function
-     * \param context the context
-     * \param p the packet
+     * @param context the context
+     * @param p the packet
      */
     void WifiMacRxTrace(std::string context, Ptr<const Packet> p);
     /**
      * wifi MAC receive drop trace function
-     * \param context the context
-     * \param p the packet
+     * @param context the context
+     * @param p the packet
      */
     void WifiMacRxDropTrace(std::string context, Ptr<const Packet> p);
     /**
      * wifi Phy transmit drop trace function
-     * \param context the context
-     * \param p the packet
+     * @param context the context
+     * @param p the packet
      */
     void WifiPhyTxDropTrace(std::string context, Ptr<const Packet> p);
     /**
      * wifi Phy receive drop trace function
-     * \param context the context
-     * \param p the packet
-     * \param reason the reason
+     * @param context the context
+     * @param p the packet
+     * @param reason the reason
      */
     void WifiPhyRxDropTrace(std::string context,
                             Ptr<const Packet> p,
                             WifiPhyRxfailureReason reason);
     /**
      * LR-WPAN MAC transmit trace function
-     * \param context the context
-     * \param p the packet
+     * @param context the context
+     * @param p the packet
      */
     void LrWpanMacTxTrace(std::string context, Ptr<const Packet> p);
     /**
      * LR-WPAN MAC transmit drop trace function
-     * \param context the context
-     * \param p the packet
+     * @param context the context
+     * @param p the packet
      */
     void LrWpanMacTxDropTrace(std::string context, Ptr<const Packet> p);
     /**
      * LR-WPAN MAC receive trace function
-     * \param context the context
-     * \param p the packet
+     * @param context the context
+     * @param p the packet
      */
     void LrWpanMacRxTrace(std::string context, Ptr<const Packet> p);
     /**
      * LR-WPAN MAC receive drop trace function
-     * \param context the context
-     * \param p the packet
+     * @param context the context
+     * @param p the packet
      */
     void LrWpanMacRxDropTrace(std::string context, Ptr<const Packet> p);
     /**
      * Device transmit trace function
-     * \param context the context
-     * \param p the packet
-     * \param tx the transmit device
-     * \param rx the receive device
-     * \param txTime the transmit time
-     * \param rxTime the receive time
+     * @param context the context
+     * @param p the packet
+     * @param tx the transmit device
+     * @param rx the receive device
+     * @param txTime the transmit time
+     * @param rxTime the receive time
      */
     void DevTxTrace(std::string context,
                     Ptr<const Packet> p,
@@ -1045,10 +1045,10 @@
                     Time rxTime);
     /**
      * wifi Phy transmit PSDU begin trace function
-     * \param context the context
-     * \param psduMap the PSDU map
-     * \param txVector the TXVECTOR
-     * \param txPowerW the tx power in Watts
+     * @param context the context
+     * @param psduMap the PSDU map
+     * @param txVector the TXVECTOR
+     * @param txPowerW the tx power in Watts
      */
     void WifiPhyTxBeginTrace(std::string context,
                              WifiConstPsduMap psduMap,
@@ -1057,9 +1057,9 @@
     /**
      * wifi Phy receive begin trace function
      *
-     * \param context the context
-     * \param p the packet
-     * \param rxPowersW the receive power per channel band in Watts
+     * @param context the context
+     * @param p the packet
+     * @param rxPowersW the receive power per channel band in Watts
      */
     void WifiPhyRxBeginTrace(std::string context,
                              Ptr<const Packet> p,
@@ -1067,117 +1067,117 @@
     /**
      * LR-WPAN Phy receive begin trace function
      *
-     * \param context the context
-     * \param p the packet
+     * @param context the context
+     * @param p the packet
      */
     void LrWpanPhyTxBeginTrace(std::string context, Ptr<const Packet> p);
     /**
      * LR-WPAN Phy receive begin trace function
      *
-     * \param context the context
-     * \param p the packet
+     * @param context the context
+     * @param p the packet
      */
     void LrWpanPhyRxBeginTrace(std::string context, Ptr<const Packet> p);
     /**
      * WIMax transmit trace function
-     * \param context the context
-     * \param p the packet
-     * \param m the MAC address
+     * @param context the context
+     * @param p the packet
+     * @param m the MAC address
      */
     void WimaxTxTrace(std::string context, Ptr<const Packet> p, const Mac48Address& m);
     /**
      * WIMax receive trace function
-     * \param context the context
-     * \param p the packet
-     * \param m the MAC address
+     * @param context the context
+     * @param p the packet
+     * @param m the MAC address
      */
     void WimaxRxTrace(std::string context, Ptr<const Packet> p, const Mac48Address& m);
     /**
      * CSMA Phy transmit begin trace function
-     * \param context the context
-     * \param p the packet
+     * @param context the context
+     * @param p the packet
      */
     void CsmaPhyTxBeginTrace(std::string context, Ptr<const Packet> p);
     /**
      * CSMA Phy transmit end trace function
      *
-     * \param context the context
-     * \param p the packet
+     * @param context the context
+     * @param p the packet
      */
     void CsmaPhyTxEndTrace(std::string context, Ptr<const Packet> p);
     /**
      * CSMA Phy receive end trace function
      *
-     * \param context the context
-     * \param p the packet
+     * @param context the context
+     * @param p the packet
      */
     void CsmaPhyRxEndTrace(std::string context, Ptr<const Packet> p);
     /**
      * CSMA MAC receive trace function
      *
-     * \param context the context
-     * \param p the packet
+     * @param context the context
+     * @param p the packet
      */
     void CsmaMacRxTrace(std::string context, Ptr<const Packet> p);
     /**
      * LTE transmit trace function
-     * \param context the context
-     * \param p the packet
-     * \param m the MAC address
+     * @param context the context
+     * @param p the packet
+     * @param m the MAC address
      */
     void LteTxTrace(std::string context, Ptr<const Packet> p, const Mac48Address& m);
     /**
      * LTE receive trace function
-     * \param context the context
-     * \param p the packet
-     * \param m the MAC address
+     * @param context the context
+     * @param p the packet
+     * @param m the MAC address
      */
     void LteRxTrace(std::string context, Ptr<const Packet> p, const Mac48Address& m);
     /**
      * LTE Spectrum Phy transmit start function
-     * \param context the context
-     * \param pb the packet burst
+     * @param context the context
+     * @param pb the packet burst
      */
     void LteSpectrumPhyTxStart(std::string context, Ptr<const PacketBurst> pb);
     /**
      * LTE Spectrum Phy receive start function
-     * \param context the context
-     * \param pb the packet burst
+     * @param context the context
+     * @param pb the packet burst
      */
     void LteSpectrumPhyRxStart(std::string context, Ptr<const PacketBurst> pb);
     /**
      * UAN Phy gen transmit trace function
-     * \param context the context
-     * \param p the packet
+     * @param context the context
+     * @param p the packet
      */
     void UanPhyGenTxTrace(std::string context, Ptr<const Packet>);
     /**
      * UAN Phy gen receive trace function
-     * \param context the context
-     * \param p the packet
+     * @param context the context
+     * @param p the packet
      */
     void UanPhyGenRxTrace(std::string context, Ptr<const Packet>);
     /**
      * Remaining energy trace function
-     * \param context the context
-     * \param previousEnergy The previous energy
-     * \param currentEnergy The current energy
+     * @param context the context
+     * @param previousEnergy The previous energy
+     * @param currentEnergy The current energy
      */
     void RemainingEnergyTrace(std::string context, double previousEnergy, double currentEnergy);
     /**
      * Generic wireless transmit trace function
-     * \param context the context
-     * \param p the packet
-     * \param protocolType the protocol type
+     * @param context the context
+     * @param p the packet
+     * @param protocolType the protocol type
      */
     void GenericWirelessTxTrace(std::string context,
                                 Ptr<const Packet> p,
                                 ProtocolType protocolType);
     /**
      * Generic wireless receive trace function
-     * \param context the context
-     * \param p the packet
-     * \param protocolType the protocol type
+     * @param context the context
+     * @param p the packet
+     * @param protocolType the protocol type
      */
     void GenericWirelessRxTrace(std::string context,
                                 Ptr<const Packet> p,
@@ -1189,60 +1189,60 @@
     void ConnectLte();
     /**
      * Connect LTE ue function
-     * \param n the node
-     * \param nd the device
-     * \param devIndex the device index
+     * @param n the node
+     * @param nd the device
+     * @param devIndex the device index
      */
     void ConnectLteUe(Ptr<Node> n, Ptr<LteUeNetDevice> nd, uint32_t devIndex);
     /**
      * Connect LTE ENB function
-     * \param n the node
-     * \param nd the device
-     * \param devIndex the device index
+     * @param n the node
+     * @param nd the device
+     * @param devIndex the device index
      */
     void ConnectLteEnb(Ptr<Node> n, Ptr<LteEnbNetDevice> nd, uint32_t devIndex);
 
     // ##### Mobility #####
     /**
      * Get position function
-     * \param n the node
-     * \returns the position vector
+     * @param n the node
+     * @returns the position vector
      */
     Vector GetPosition(Ptr<Node> n);
     /**
      * Update position function
-     * \param n the node
-     * \returns the position vector
+     * @param n the node
+     * @returns the position vector
      */
     Vector UpdatePosition(Ptr<Node> n);
     /**
      * Update position function
-     * \param n the node
-     * \param v the vector
-     * \returns the position vector
+     * @param n the node
+     * @param v the vector
+     * @returns the position vector
      */
     Vector UpdatePosition(Ptr<Node> n, Vector v);
     /**
      * Update position function
-     * \param ndev the device
-     * \returns the position vector
+     * @param ndev the device
+     * @returns the position vector
      */
     Vector UpdatePosition(Ptr<NetDevice> ndev);
     /**
      * Node has moved function
-     * \param n the node
-     * \param newLocation the new location vector
-     * \returns true if the node has moved
+     * @param n the node
+     * @param newLocation the new location vector
+     * @returns true if the node has moved
      */
     bool NodeHasMoved(Ptr<Node> n, Vector newLocation);
     /**
      * Get moved nodes function
-     * \returns the list of moved nodes
+     * @returns the list of moved nodes
      */
     std::vector<Ptr<Node>> GetMovedNodes();
     /**
      * Mobility course change trace function
-     * \param mob the mobility model
+     * @param mob the mobility model
      */
     void MobilityCourseChangeTrace(Ptr<const MobilityModel> mob);
 
@@ -1250,34 +1250,34 @@
 
     /**
      * Write non P2P link properties function
-     * \param id the ID
-     * \param ipv4Address the IP address
-     * \param channelType the channel type
+     * @param id the ID
+     * @param ipv4Address the IP address
+     * @param channelType the channel type
      */
     void WriteNonP2pLinkProperties(uint32_t id, std::string ipv4Address, std::string channelType);
     /**
      * Write node update function
-     * \param nodeId the node ID
+     * @param nodeId the node ID
      */
     void WriteNodeUpdate(uint32_t nodeId);
     /**
      * Output wireless packet transmit info
-     * \param p the packet
-     * \param pktInfo the packet info
-     * \param animUid the UID
+     * @param p the packet
+     * @param pktInfo the packet info
+     * @param animUid the UID
      */
     void OutputWirelessPacketTxInfo(Ptr<const Packet> p, AnimPacketInfo& pktInfo, uint64_t animUid);
     /**
      * Output wireless packet receive info
-     * \param p the packet
-     * \param pktInfo the packet info
-     * \param animUid the UID
+     * @param p the packet
+     * @param pktInfo the packet info
+     * @param animUid the UID
      */
     void OutputWirelessPacketRxInfo(Ptr<const Packet> p, AnimPacketInfo& pktInfo, uint64_t animUid);
     /**
      * Output CSMA packet function
-     * \param p the packet
-     * \param pktInfo the packet info
+     * @param p the packet
+     * @param pktInfo the packet info
      */
     void OutputCsmaPacket(Ptr<const Packet> p, AnimPacketInfo& pktInfo);
     /// Write link properties function
@@ -1296,96 +1296,96 @@
     void WriteNodeEnergies();
     /**
      * Write XML anim function
-     * \param routing the routing
+     * @param routing the routing
      */
     void WriteXmlAnim(bool routing = false);
     /**
      * Write XML update node position function
-     * \param nodeId the node ID
-     * \param x the X position
-     * \param y the Y position
+     * @param nodeId the node ID
+     * @param x the X position
+     * @param y the Y position
      */
     void WriteXmlUpdateNodePosition(uint32_t nodeId, double x, double y);
     /**
      * Write XML update node color function
-     * \param nodeId the node ID
-     * \param r the red color
-     * \param g the green color
-     * \param b the blue color
+     * @param nodeId the node ID
+     * @param r the red color
+     * @param g the green color
+     * @param b the blue color
      */
     void WriteXmlUpdateNodeColor(uint32_t nodeId, uint8_t r, uint8_t g, uint8_t b);
     /**
      * Write XML update node description function
-     * \param nodeId the node ID
+     * @param nodeId the node ID
      */
     void WriteXmlUpdateNodeDescription(uint32_t nodeId);
     /**
      * Write XML update node size function
-     * \param nodeId the node ID
-     * \param width the width
-     * \param height the height
+     * @param nodeId the node ID
+     * @param width the width
+     * @param height the height
      */
     void WriteXmlUpdateNodeSize(uint32_t nodeId, double width, double height);
     /**
      * Write XML add resource function
-     * \param resourceId the resource ID
-     * \param resourcePath the resource path
+     * @param resourceId the resource ID
+     * @param resourcePath the resource path
      */
     void WriteXmlAddResource(uint32_t resourceId, std::string resourcePath);
     /**
      * Write XML add node counter function
-     * \param counterId the counter ID
-     * \param counterName the counter name
-     * \param counterType the counter type
+     * @param counterId the counter ID
+     * @param counterName the counter name
+     * @param counterType the counter type
      */
     void WriteXmlAddNodeCounter(uint32_t counterId,
                                 std::string counterName,
                                 CounterType counterType);
     /**
      * Write XML update node image function
-     * \param nodeId the node ID
-     * \param resourceId the resource ID
+     * @param nodeId the node ID
+     * @param resourceId the resource ID
      */
     void WriteXmlUpdateNodeImage(uint32_t nodeId, uint32_t resourceId);
     /**
      * Write XML update node counter function
-     * \param counterId the counter ID
-     * \param nodeId the node ID
-     * \param value the node counter value
+     * @param counterId the counter ID
+     * @param nodeId the node ID
+     * @param value the node counter value
      */
     void WriteXmlUpdateNodeCounter(uint32_t counterId, uint32_t nodeId, double value);
     /**
      * Write XML node function
-     * \param id the ID
-     * \param sysId the system ID
-     * \param locX the x location
-     * \param locY the y location
+     * @param id the ID
+     * @param sysId the system ID
+     * @param locX the x location
+     * @param locY the y location
      */
     void WriteXmlNode(uint32_t id, uint32_t sysId, double locX, double locY);
     /**
      * Write XML link counter function
-     * \param fromId the from device
-     * \param toLp the to device
-     * \param toId the to ID
+     * @param fromId the from device
+     * @param toLp the to device
+     * @param toId the to ID
      */
     void WriteXmlLink(uint32_t fromId, uint32_t toLp, uint32_t toId);
     /**
      * Write XML update link counter function
-     * \param fromId the from device
-     * \param toId the to device
-     * \param linkDescription the link description
+     * @param fromId the from device
+     * @param toId the to device
+     * @param linkDescription the link description
      */
     void WriteXmlUpdateLink(uint32_t fromId, uint32_t toId, std::string linkDescription);
     /**
      * Write XMLP function
-     * \param pktType the packet type
-     * \param fId the FID
-     * \param fbTx the FB transmit
-     * \param lbTx the LB transmit
-     * \param tId the TID
-     * \param fbRx the FB receive
-     * \param lbRx the LB receive
-     * \param metaInfo the meta info
+     * @param pktType the packet type
+     * @param fId the FID
+     * @param fbTx the FB transmit
+     * @param lbTx the LB transmit
+     * @param tId the TID
+     * @param fbRx the FB receive
+     * @param lbRx the LB receive
+     * @param metaInfo the meta info
      */
     void WriteXmlP(std::string pktType,
                    uint32_t fId,
@@ -1397,55 +1397,55 @@
                    std::string metaInfo = "");
     /**
      * Write XMLP function
-     * \param animUid the UID
-     * \param pktType the packet type
-     * \param fId the FID
-     * \param fbTx the FB transmit
-     * \param lbTx the LB transmit
+     * @param animUid the UID
+     * @param pktType the packet type
+     * @param fId the FID
+     * @param fbTx the FB transmit
+     * @param lbTx the LB transmit
      */
     void WriteXmlP(uint64_t animUid, std::string pktType, uint32_t fId, double fbTx, double lbTx);
     /**
      * Write XMLP Ref function
-     * \param animUid the UID
-     * \param fId the FID
-     * \param fbTx the FB transmit
-     * \param metaInfo the meta info
+     * @param animUid the UID
+     * @param fId the FID
+     * @param fbTx the FB transmit
+     * @param metaInfo the meta info
      */
     void WriteXmlPRef(uint64_t animUid, uint32_t fId, double fbTx, std::string metaInfo = "");
     /**
      * Write XML close function
-     * \param name the name
-     * \param routing true if routing
+     * @param name the name
+     * @param routing true if routing
      */
     void WriteXmlClose(std::string name, bool routing = false);
     /**
      * Write XML non P2P link properties function
-     * \param id the ID
-     * \param ipAddress the IP address
-     * \param channelType the channel type
+     * @param id the ID
+     * @param ipAddress the IP address
+     * @param channelType the channel type
      */
     void WriteXmlNonP2pLinkProperties(uint32_t id, std::string ipAddress, std::string channelType);
     /**
      * Write XML routing function
-     * \param id the ID
-     * \param routingInfo the routing info
+     * @param id the ID
+     * @param routingInfo the routing info
      */
     void WriteXmlRouting(uint32_t id, std::string routingInfo);
     /**
      * Write XMLRP function
-     * \param nodeId the node ID
-     * \param destination the destination
-     * \param rpElements the route path elements
+     * @param nodeId the node ID
+     * @param destination the destination
+     * @param rpElements the route path elements
      */
     void WriteXmlRp(uint32_t nodeId, std::string destination, Ipv4RoutePathElements rpElements);
     /**
      * Write XML update background function
-     * \param fileName the file name
-     * \param x the X value
-     * \param y the Y value
-     * \param scaleX the X scale
-     * \param scaleY the Y scale
-     * \param opacity the opacity
+     * @param fileName the file name
+     * @param x the X value
+     * @param y the Y value
+     * @param scaleX the X scale
+     * @param scaleY the Y scale
+     * @param opacity the opacity
      */
     void WriteXmlUpdateBackground(std::string fileName,
                                   double x,
@@ -1455,22 +1455,22 @@
                                   double opacity);
     /**
      * Write XML Ipv4 addresses function
-     * \param nodeId the node ID
-     * \param ipv4Addresses the list of Ipv4 addresses
+     * @param nodeId the node ID
+     * @param ipv4Addresses the list of Ipv4 addresses
      */
     void WriteXmlIpv4Addresses(uint32_t nodeId, std::vector<std::string> ipv4Addresses);
     /**
      * Write XML Ipv6 addresses function
-     * \param nodeId the node ID
-     * \param ipv6Addresses the list of Ipv6 addresses
+     * @param nodeId the node ID
+     * @param ipv6Addresses the list of Ipv6 addresses
      */
     void WriteXmlIpv6Addresses(uint32_t nodeId, std::vector<std::string> ipv6Addresses);
 };
 
 /**
- * \ingroup netanim
+ * @ingroup netanim
  *
- * \brief Byte tag using by Anim to uniquely identify packets
+ * @brief Byte tag using by Anim to uniquely identify packets
  *
  * When Anim receives a Tx Notification we tag the packet with a unique global uint64_t identifier
  * before recording Tx information
@@ -1481,50 +1481,50 @@
 {
   public:
     /**
-     * \brief Get Type Id
-     * \returns Type Id
+     * @brief Get Type Id
+     * @returns Type Id
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Get Instance Type Id
-     * \returns Type Id
+     * @brief Get Instance Type Id
+     * @returns Type Id
      */
     TypeId GetInstanceTypeId() const override;
 
     /**
-     * \brief Get Serialized Size
-     * \returns Serialized Size (i.e size of uint64_t)
+     * @brief Get Serialized Size
+     * @returns Serialized Size (i.e size of uint64_t)
      */
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Serialize function
-     * \param i Tag Buffer
+     * @brief Serialize function
+     * @param i Tag Buffer
      */
     void Serialize(TagBuffer i) const override;
 
     /**
-     * \brief Deserialize function
-     * \param i Tag Buffer
+     * @brief Deserialize function
+     * @param i Tag Buffer
      */
     void Deserialize(TagBuffer i) override;
 
     /**
-     * \brief Print tag info
-     * \param os Reference of ostream object
+     * @brief Print tag info
+     * @param os Reference of ostream object
      */
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Set global Uid in tag
-     * \param AnimUid global Uid
+     * @brief Set global Uid in tag
+     * @param AnimUid global Uid
      */
     void Set(uint64_t AnimUid);
 
     /**
-     * \brief Get Uid in tag
-     * \returns Uid in tag
+     * @brief Get Uid in tag
+     * @returns Uid in tag
      */
     uint64_t Get() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/netanim/test/netanim-test.cc ns-3.44/src/netanim/test/netanim-test.cc
--- ns-3.43/src/netanim/test/netanim-test.cc	2024-10-09 16:41:10.068656400 -0700
+++ ns-3.44/src/netanim/test/netanim-test.cc	2025-03-09 16:55:49.671372200 -0700
@@ -6,7 +6,9 @@
  * http://wiki.osll.ru/doku.php/start)
  */
 
+#ifndef __WIN32__
 #include "unistd.h"
+#endif
 
 #include "ns3/basic-energy-source.h"
 #include "ns3/core-module.h"
@@ -24,26 +26,26 @@
 using namespace ns3::energy;
 
 /**
- * \ingroup netanim
- * \ingroup tests
- * \defgroup netanim-test animation module tests
+ * @ingroup netanim
+ * @ingroup tests
+ * @defgroup netanim-test animation module tests
  */
 
 /**
- * \ingroup netanim-test
+ * @ingroup netanim-test
  *
- * \brief Abstract Animation Interface Test Case
+ * @brief Abstract Animation Interface Test Case
  */
 class AbstractAnimationInterfaceTestCase : public TestCase
 {
   public:
     /**
-     * \brief Constructor.
-     * \param name testcase name
+     * @brief Constructor.
+     * @param name testcase name
      */
     AbstractAnimationInterfaceTestCase(std::string name);
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
 
     ~AbstractAnimationInterfaceTestCase() override;
@@ -97,19 +99,19 @@
     FILE* fp = fopen(m_traceFileName, "r");
     NS_TEST_ASSERT_MSG_NE(fp, nullptr, "Trace file was not created");
     fclose(fp);
-    unlink(m_traceFileName);
+    remove(m_traceFileName);
 }
 
 /**
- * \ingroup netanim-test
+ * @ingroup netanim-test
  *
- * \brief Animation Interface Test Case
+ * @brief Animation Interface Test Case
  */
 class AnimationInterfaceTestCase : public AbstractAnimationInterfaceTestCase
 {
   public:
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     AnimationInterfaceTestCase();
 
@@ -149,17 +151,17 @@
     UdpEchoServerHelper echoServer(9);
 
     ApplicationContainer serverApps = echoServer.Install(m_nodes.Get(1));
-    serverApps.Start(Seconds(1.0));
-    serverApps.Stop(Seconds(10.0));
+    serverApps.Start(Seconds(1));
+    serverApps.Stop(Seconds(10));
 
     UdpEchoClientHelper echoClient(interfaces.GetAddress(1), 9);
     echoClient.SetAttribute("MaxPackets", UintegerValue(100));
-    echoClient.SetAttribute("Interval", TimeValue(Seconds(1.0)));
+    echoClient.SetAttribute("Interval", TimeValue(Seconds(1)));
     echoClient.SetAttribute("PacketSize", UintegerValue(1024));
 
     ApplicationContainer clientApps = echoClient.Install(m_nodes.Get(0));
-    clientApps.Start(Seconds(2.0));
-    clientApps.Stop(Seconds(10.0));
+    clientApps.Start(Seconds(2));
+    clientApps.Stop(Seconds(10));
 }
 
 void
@@ -169,15 +171,15 @@
 }
 
 /**
- * \ingroup netanim-test
+ * @ingroup netanim-test
  *
- * \brief Animation Remaining Energy Test Case
+ * @brief Animation Remaining Energy Test Case
  */
 class AnimationRemainingEnergyTestCase : public AbstractAnimationInterfaceTestCase
 {
   public:
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     AnimationRemainingEnergyTestCase();
 
@@ -230,9 +232,9 @@
 }
 
 /**
- * \ingroup netanim-test
+ * @ingroup netanim-test
  *
- * \brief Animation Interface Test Suite
+ * @brief Animation Interface Test Suite
  */
 static class AnimationInterfaceTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/doc/network.h ns-3.44/src/network/doc/network.h
--- ns-3.43/src/network/doc/network.h	2024-10-09 16:41:10.068656400 -0700
+++ ns-3.44/src/network/doc/network.h	2025-03-09 16:55:49.671372200 -0700
@@ -7,7 +7,7 @@
 #define NETWORK_H
 
 /**
- * \defgroup network Network
+ * @defgroup network Network
  *
  * This section documents the API of the ns-3 network module. For a generic functional description,
  * please refer to the ns-3 manual.
